Author: Ben Hutchings <ben@decadent.org.uk>
Description: pearl: Require width or height to be at least 6 for Tricky
Bug-Debian: https://bugs.debian.org/667963

Josh Triplett reported:
> If I ask pearl to generate a 5x5 tricky puzzle, it runs forever.

I find that 5x6 or 6x5 works, so set the minimum accordingly.

--- a/pearl.c
+++ b/pearl.c
@@ -279,6 +279,8 @@ static char *validate_params(const game_
     if (params->h < 5) return "Height must be at least five";
     if (params->difficulty < 0 || params->difficulty >= DIFFCOUNT)
         return "Unknown difficulty level";
+    if (params->difficulty >= DIFF_TRICKY && params->w + params->h < 11)
+	return "Width or height must be at least six for Tricky";
 
     return NULL;
 }
